Cómo instalar Rcmdr

Imagen de Edwin
0 puntos

Hola Comunidad!

Estoy tratando de instalar Rcmdr a través de install.packages('Rmcdr'). Sin embargo me devuelve el siguiente mensaje

* installing *source* package ‘Rcmdr’ ...
** package ‘Rcmdr’ successfully unpacked and MD5 sums checked
** libs
gcc -std=gnu99 -I/usr/local/lib/R/include -DNDEBUG  -I/usr/local/include    -fpic  -g -O2  -c ismdi.c -o ismdi.o
gcc -std=gnu99 -shared -L/usr/local/lib -o Rcmdr.so ismdi.o
installing to /home/edwin/R/i686-pc-linux-gnu-library/2.15/Rcmdr/libs
** R
** inst
** byte-compile and prepare package for lazy loading
Warning: S3 methods ‘$.tclvar’, ‘$<-.tclvar’, ‘as.character.tclObj’, ‘as.character.tclVar’, ‘as.double.tclObj’, ‘as.integer.tclObj’, ‘as.logical.tclObj’, ‘as.raw.tclObj’, ‘print.tclObj’, ‘[[.tclArray’, ‘[[<-.tclArray’, ‘$.tclArray’, ‘$<-.tclArray’, ‘names.tclArray’, ‘names<-.tclArray’, ‘length.tclArray’, ‘length<-.tclArray’, ‘tclObj.tclVar’, ‘tclObj<-.tclVar’, ‘tclvalue.default’, ‘tclvalue.tclObj’, ‘tclvalue.tclVar’, ‘tclvalue<-.default’, ‘tclvalue<-.tclVar’, ‘close.tkProgressBar’ were declared in NAMESPACE but not found
Error : .onLoad failed in loadNamespace() for 'tcltk', details:
  call: fun(libname, pkgname)
  error: Tcl/Tk support is not available on this system
ERROR: lazy loading failed for package ‘Rcmdr’
* removing ‘/home/edwin/R/i686-pc-linux-gnu-library/2.15/Rcmdr’

The downloaded source packages are in
	‘/tmp/RtmprKDrD5/downloaded_packages’
Warning message:
In install.packages("Rcmdr") :
  installation of package ‘Rcmdr’ had non-zero exit status

Lo que he intentado:

Por lo que comprendo del mensaje de error, tcl/tk significa que no está disponible y tengo que instalarlos. Traté de instalarlos descargandolos y viendo tutoriales en la red, sin embargo no pude hacerlo. Además busqué en los foros de ubuntu-es y solo encontré (por el tiempo) información asociada al programa "amsn" y no era muy clara al final.

En cuanto a rcmdr también probé instalarlo desde el centro de software de ubuntu pero no fue posible ejecutarlo desde R.

Entonces, en resumen:
¿Cómo instalar Rcmdr y los programas Tcl y tk para que pueda correr R commander y hacer las operaciones estadísticas de mis trabajos?

Datos
Precise pangolin 12.04
OS 32 bits
versión R 2.15.2 "Trick or treat"
versión archivo descargado Tcl 8.6.0
versión archivo descargado tk 8.6.0

Espero estar en el foro correcto (es mi primera pregunta). Además soy algo nuevo en ubuntu. Hace 8 meses que inicié en la crema y nata de los sistemas operativos.

Imagen de Edwin
+1
0
-1

Posdata: Escribí en mayusculas para diferenciar entre mis palabras y el mensaje de error obtenido. No es porque esté gritando de desesperación. Después observé cómo escribir en negrita y subrayado, lo siento...

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

Tienes la posibilidad de tener ese texto en fuente monoespaciada, como si fuera código o la salida de Terminal, usa la etiquieta <pre> y para crear texto en formato monoespaciado pero en linea con el texto normal usa la etiqueta <code> así

En cambio con la etiqueta pre, el texto se verá

así

Puedes editar el tema haciendo la corrección por favor.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Edwin
+1
0
-1

Está bien, Gracias por el dato. Ya he revisado en información sobre formatos de texto, por lo apresurado que estaba, no lo observé
+1
0
-1
Imagen de Goyo
+1
0
-1

En resumen, deshaz todo lo que has hecho y usa el centro de software.

+1
0
-1
Imagen de Edwin
+1
0
-1

Gracias por la información, sin embargo, eso lo hice, deshice todo e instalé desde el centro de software. No obstante cuando lo intento ejecutar desde R no funciona, me pide los programas escritos en el post principal...

+1
0
-1
Imagen de Goyo
+1
0
-1

Ejecuta r commander desde el dash.

De todas formas

cuando lo intento ejecutar desde R no funciona, me pide los programas escritos en el post principal...

Con este tipo de descripciones es difícil que vayamos a solucionar nada.

Yo puedo abrir r commander sin problemas tras instalarlo con el centro de software, en ubuntu 12.20.

+1
0
-1